Bug 148240 - security/barnyard2, port upgrade to new version
Summary: security/barnyard2, port upgrade to new version
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sahil Tandon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-29 19:20 UTC by pauls
Modified: 2010-07-05 21:30 UTC (History)
0 users

See Also:


Attachments
patch-Makefile (488 bytes, text/plain)
2010-06-29 19:20 UTC, pauls
no flags Details
patch-etc__Makefile.in (446 bytes, text/plain)
2010-06-29 19:20 UTC, pauls
no flags Details
file.diff (1.01 KB, patch)
2010-06-29 19:20 UTC, pauls
no flags Details | Diff
patch-barnyard2 (3.10 KB, application/octet-stream)
2010-07-04 17:35 UTC, pauls
no flags Details
barnyard2.diff (2.18 KB, patch)
2010-07-04 23:06 UTC, Sahil Tandon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description pauls 2010-06-29 19:20:06 UTC
	security/barnyard2, upgrade to version 1.8
	fix problem with edited conf file being overwritten
	correct paths in default conf file

Fix: --- distinfo.orig	2010-06-28 15:28:07.000000000 -0500
+++ distinfo	2010-06-29 09:23:10.000000000 -0500
@@ -1,3 +1,3 @@
-MD5 (barnyard2-1.7.tar.gz) = 6801649c45287799354e0a458af737ef
-SHA256 (barnyard2-1.7.tar.gz) = a9bd56c2887111f3c114e82fc9277ee759a5005374081136e76d950ff390fd1b
-SIZE (barnyard2-1.7.tar.gz) = 652605
+MD5 (barnyard2-1.8.tar.gz) = 72fc6c490db6ea6a0f46c27d24998067
+SHA256 (barnyard2-1.8.tar.gz) = 1abfe6530d721debd98921421722b02c844c289564730b1e85729e4915b2bb7a
+SIZE (barnyard2-1.8.tar.gz) = 654290
--- patch-distinfo ends here ---
Comment 1 Sahil Tandon freebsd_committer 2010-07-03 19:46:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sahil

I'll take it.
Comment 2 Sahil Tandon freebsd_committer 2010-07-04 07:29:06 UTC
State Changed
From-To: open->feedback

Submit one file that contains all your diffs; and please do not 
hard-code 'usr/local'; instead employ PREFIX and/or LOCALBASE.  Thanks.
Comment 3 pauls 2010-07-04 17:35:55 UTC
A single unified diff is attached.

I can't change the patch file to use ${PREFIX}.  The port build will not convert the macro during the build, and the resultant conf file will contain ${PREFIX} instead of /usr/local/ which will cause it to fail to work correctly.  Portlint also does not complain about its use in the patch file.  If you prefer, I can remove the patch.  It was created as a convenience for the end user so they wouldn't have to edit the conf file after install.

Paul Schmehl (pauls@utdallas.edu)
Senior Information Security Analyst
The University of Texas at Dallas
http://www.utdallas.edu/ir/security/
Comment 4 Sahil Tandon freebsd_committer 2010-07-04 23:06:23 UTC
On Sun, 2010-07-04 at 17:10:03 +0000, Schmehl, Paul L wrote:

> A single unified diff is attached.

Your attachment never arrived; it appears to have been mangled in
transit.

> I can't change the patch file to use ${PREFIX}.  The port build will
> not convert the macro during the build, and the resultant conf file
> will contain ${PREFIX} instead of /usr/local/ which will cause it to
> fail to work correctly.  

That is why we have the ${REINPLACE_CMD} macro.  You could go the
files/patch-foo route and make the replacement there, or (and this is my
preference) perform the subsitution directly on the underlying file.
And in this case, ${LOCALBASE} is appropriate because the configuration
file refers to the location of an already-installed port
(security/snort).

> Portlint also does not complain about its use in the patch file.  

We all love portlint, but it does not catch every little thing. :-)

> If you prefer, I can remove the patch.  It was created as a
> convenience for the end user so they wouldn't have to edit the conf
> file after install.

Whether or not to include this patch is entirely up to you as you are
the maintainer.  I have attached a diff that combines your changes with
my suggestion on how to handle the substitution in barnyard2.conf.  I
will await your approval or revision before committing.

-- 
Sahil Tandon <sahil@FreeBSD.org>
Comment 5 pauls 2010-07-05 20:47:10 UTC
This works for me.  Go ahead and commit.  And thanks for your helpful 
suggestions and the suggested patch.

--On Sunday, July 04, 2010 5:06 PM -0500 Sahil Tandon <sahil@FreeBSD.org> 
wrote:

> On Sun, 2010-07-04 at 17:10:03 +0000, Schmehl, Paul L wrote:
>
>> A single unified diff is attached.
>
> Your attachment never arrived; it appears to have been mangled in
> transit.
>
>> I can't change the patch file to use ${PREFIX}.  The port build will
>> not convert the macro during the build, and the resultant conf file
>> will contain ${PREFIX} instead of /usr/local/ which will cause it to
>> fail to work correctly.
>
> That is why we have the ${REINPLACE_CMD} macro.  You could go the
> files/patch-foo route and make the replacement there, or (and this is my
> preference) perform the subsitution directly on the underlying file.
> And in this case, ${LOCALBASE} is appropriate because the configuration
> file refers to the location of an already-installed port
> (security/snort).
>
>> Portlint also does not complain about its use in the patch file.
>
> We all love portlint, but it does not catch every little thing. :-)
>
>> If you prefer, I can remove the patch.  It was created as a
>> convenience for the end user so they wouldn't have to edit the conf
>> file after install.
>
> Whether or not to include this patch is entirely up to you as you are
> the maintainer.  I have attached a diff that combines your changes with
> my suggestion on how to handle the substitution in barnyard2.conf.  I
> will await your approval or revision before committing.



Paul Schmehl (pauls@utdallas.edu)
Senior Information Security Analyst
The University of Texas at Dallas
http://www.utdallas.edu/ir/security/
Comment 6 dfilter service freebsd_committer 2010-07-05 21:20:44 UTC
sahil       2010-07-05 20:20:35 UTC

  FreeBSD ports repository

  Modified files:
    security/barnyard2   Makefile distinfo 
  Added files:
    security/barnyard2/files patch-etc-Makefile.in 
  Log:
  - Update to 1.8
  - Do not overwrite pre-existing conf file
  - Replace '/etc' with '${LOCALBASE}/etc' in sample conf
  
  PR:             ports/148240
  Submitted by:   Paul Schmehl <pauls@utdallas.edu> (maintainer)
  Approved by:    wxs@ (mentor)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.4       +5 -2      ports/security/barnyard2/Makefile
  1.3       +3 -3      ports/security/barnyard2/distinfo
  1.1       +11 -0     ports/security/barnyard2/files/patch-etc-Makefile.in (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Sahil Tandon freebsd_committer 2010-07-05 21:20:56 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!